# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=doxygen
pkgver=1.8.11
pkgrel=0
pkgdesc="A documentation system for C++, C, Java, IDL and PHP"
url="http://www.doxygen.org/"
arch="all"
license="GPL"
depends=""
makedepends="flex bison coreutils perl python cmake"
subpackages=""
source="http://ftp.stack.nl/pub/users/dimitri/doxygen-$pkgver.src.tar.gz
	doxygen-1.8.11-install.patch
	"

_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
	cd "$_builddir"
	for i in $source; do
		case $i in
		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
		esac
	done
}

build() {
	cd "$_builddir"
	cmake .\
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_BUILD_TYPE=Release \
		-Dbuild_xmlparser=ON \
		-DMAN_INSTALL_DIR=/usr/share/man/man1 \
		-DDOC_INSTALL_DIR=/usr/share/doc/doxygen \
		|| return 1

	make || return 1
}

package() {
	cd "$_builddir"
	make DESTDIR="$pkgdir" install
}

md5sums="f4697a444feaed739cfa2f0644abc19b  doxygen-1.8.11.src.tar.gz
4a5ab90c93759cc8d5165f693bd72b4e  doxygen-1.8.11-install.patch"
sha256sums="65d08b46e48bd97186aef562dc366681045b119e00f83c5b61d05d37ea154049  doxygen-1.8.11.src.tar.gz
fc92dc3ccfc361d170ddfd35bc61c7f861417a9ae6bcdc5cd5568cffdfe1dc07  doxygen-1.8.11-install.patch"
sha512sums="44f3f9d2715c4cfe628b988809a6264681c43634dfa830f604b6cc853fa6679eca112cc9c01cee5b019f7f01f0a0acdf4f7d3aaec0848783399d17904caf1a3e  doxygen-1.8.11.src.tar.gz
78214c5e626855e12de9680187441a4857ecbceb077d7fc1aa0ddc285887ed9b0a26ac321fb91a320115ef85eb568440652cbe36ee9453156ad4a21d9761b148  doxygen-1.8.11-install.patch"
